org.eclipse.net4j.signal

## Class MonitorCanceledIndication

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.Indication
      - - org.eclipse.net4j.signal.MonitorCanceledIndication

- All Implemented Interfaces:
    Runnable

      public class MonitorCanceledIndication
      extends Indication

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorCanceledIndication(SignalProtocol<?> protocol)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `indicating(ExtendedDataInputStream in)`

    - ### Methods inherited from class org.eclipse.net4j.signal.Indication

      `execute`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorCanceledIndication

          public MonitorCanceledIndication(SignalProtocol<?> protocol)

  - ### Method Detail

    - #### indicating

          protected void indicating(ExtendedDataInputStream in)
                             throws Exception

      Specified by:
        `indicating` in class `Indication`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html